跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Evaluation Taxonomies

Create an evaluation taxonomy

PUT /evaluationtaxonomies/{name}

Creates or replaces the specified evaluation taxonomy with the provided definition.

查詢參數

api-version string 必要

The API version to use for this operation.

標頭參數

Foundry-Features enum 必要

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Evaluations=V1Preview

路徑參數

name string 必要

The name of the evaluation taxonomy.

要求本文

The evaluation taxonomy.

Content-Type: application/json
description string

The asset description text.

tags object

Tag dictionary. Tags can be added, removed, and updated.

[key: string] string
taxonomyInput agent 必要

Input configuration for the evaluation taxonomy.

下列其中一項:
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum 必要

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent 必要

Base class for targets with discriminator support.

下列其中一項:
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum 必要

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum 必要

The type of target, always azure_ai_agent.

azure_ai_agent
name string 必要

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] 必要

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

回覆

The request has succeeded.

主體

Content-Type: application/json
id string

Asset ID, a unique identifier for the asset

name string 必要

The name of the resource

version string 必要

The version of the resource

taxonomyInput agent 必要

Input configuration for the evaluation taxonomy.

下列其中一項:
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum 必要

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent 必要

Base class for targets with discriminator support.

下列其中一項:
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum 必要

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum 必要

The type of target, always azure_ai_agent.

azure_ai_agent
name string 必要

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] 必要

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

The request has succeeded and a new resource has been created as a result.

主體

Content-Type: application/json
id string

Asset ID, a unique identifier for the asset

name string 必要

The name of the resource

version string 必要

The version of the resource

taxonomyInput agent 必要

Input configuration for the evaluation taxonomy.

下列其中一項:
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum 必要

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent 必要

Base class for targets with discriminator support.

下列其中一項:
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum 必要

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum 必要

The type of target, always azure_ai_agent.

azure_ai_agent
name string 必要

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] 必要

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

Client error

標題

x-ms-error-code string

String error code indicating what went wrong.

主體

Content-Type: application/json
error Azure.Core.Foundations.Error 必要

The error object.

code string 必要

One of a server-defined set of error codes.

message string 必要

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

標題

x-ms-error-code string

String error code indicating what went wrong.

主體

Content-Type: application/json
error Azure.Core.Foundations.Error 必要

The error object.

code string 必要

One of a server-defined set of error codes.

message string 必要

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Request

PUT /evaluationtaxonomies/{name} HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026